Skip to main content
GET/events/:id/

Get single event

You can return a list of specific event occurrences.

Attributes

Optional unless marked required

idintegerrequired
A unique identifier for the event which is given by User automatically.

Request​

curl -X GET "https://<your_app_subdomain>.user.com/api/public/events/:id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"

Response examples​

{
"count": 2,
"next": null,
"previous": null,
"results": [
{
"user_id": 1892,
"timestamp": "2026-11-10T07:21:17Z",
"id": 6,
"items": ,3 items
"user_custom_id": "jane-doe"
},
{
"user_id": 1892,
"timestamp": "2026-11-10T07:21:17Z",
"id": 5,
"items": ,3 items
"user_custom_id": "jane-doe"
}
]
}

Response fields​

Fields returned in the 200 OK response body.

countinteger
Number of results across all pages. It can lag behind recent changes; see Response pagination.
nextstring (URL)nullable
URL of the next page of results. null on the last page.
previousstring (URL)nullable
URL of the previous page of results. null on the first page.
resultsarray of objects
Results on this page.
results[].user_idinteger
ID of the contact the event was recorded for.
results[].timestampstring (date-time)
A datetime when an event occured in UNIX format.
results[].idinteger
A unique identifier for the event which is given by User automatically.
results[].itemsarray of objects
Attributes sent with the event.
results[].items[].namestring
An event name.
results[].items[].name_stdstring
Standardized attribute name (Order value becomes order_value).
results[].items[].valuestring
Attribute value.
results[].items[].typestring
Attribute value type.
results[].user_custom_idstring
Your own identifier of the contact.
note

Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.